- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Data Structures
- Class Hierarchy
- Data Fields

# Accessibility::Collection Interface Reference

`import "Accessibility_Collection.idl";`

## Public Types
enum | SortOrder { SORT_ORDER_INVALID, SORT_ORDER_CANONICAL, SORT_ORDER_FLOW, SORT_ORDER_TAB, SORT_ORDER_REVERSE_CANONICAL, SORT_ORDER_REVERSE_FLOW, SORT_ORDER_REVERSE_TAB, SORT_ORDER_LAST_DEFINED }
enum | MatchType { MATCH_INVALID, MATCH_ALL, MATCH_ANY, MATCH_NONE, MATCH_EMPTY, MATCH_LAST_DEFINED }
## Public Member Functions
boolean | isAncestorOf (in Accessible object)
MatchRule | createMatchRule (in StateSet states, in MatchType statematchtype, in AttributeSet attributes, in MatchType attributematchtype, in RoleSet roles, in MatchType rolematchtype, in string interfaces, in MatchType interfacematchtype, in boolean invert)
void | freeMatchRule (in MatchRule rule)
AccessibleSet | getChildren (in MatchRule rule, in SortOrder sortby, in boolean recurse, inout long count)
AccessibleSet | getPreviousChildren (in Accessible current_object, in MatchRule rule, in SortOrder sortby, in boolean recurse, inout long count)
AccessibleSet | getNextChildren (in Accessible current_object, in MatchRule rule, in SortOrder sortby, in boolean recurse, inout long count)
Accessible | getActiveDescendant ()
void | unImplemented ()
void | unImplemented2 ()
void | unImplemented3 ()
void | unImplemented4 ()

## Member Enumeration Documentation

enum Accessibility::Collection::SortOrder

Enumerator:

  SORT_ORDER_INVALID |
  SORT_ORDER_CANONICAL |
  SORT_ORDER_FLOW |
  SORT_ORDER_TAB |
  SORT_ORDER_REVERSE_CANONICAL |
  SORT_ORDER_REVERSE_FLOW |
  SORT_ORDER_REVERSE_TAB |
  SORT_ORDER_LAST_DEFINED |

enum Accessibility::Collection::MatchType

Enumerator:

  MATCH_INVALID |
  MATCH_ALL |
  MATCH_ANY |
  MATCH_NONE |
  MATCH_EMPTY |
  MATCH_LAST_DEFINED |

## Member Function Documentation

boolean Accessibility::Collection::isAncestorOf | ( | in Accessible | object | ) |

MatchRule Accessibility::Collection::createMatchRule | ( | in StateSet | states,
|  | in MatchType | statematchtype,
|  | in AttributeSet | attributes,
|  | in MatchType | attributematchtype,
|  | in RoleSet | roles,
|  | in MatchType | rolematchtype,
|  | in string | interfaces,
|  | in MatchType | interfacematchtype,
|  | in boolean | invert |
| ) |  |  |

void Accessibility::Collection::freeMatchRule | ( | in MatchRule | rule | ) |

AccessibleSet Accessibility::Collection::getChildren | ( | in MatchRule | rule,
|  | in SortOrder | sortby,
|  | in boolean | recurse,
|  | inout long | count |
| ) |  |  |

AccessibleSet Accessibility::Collection::getPreviousChildren | ( | in Accessible | current_object,
|  | in MatchRule | rule,
|  | in SortOrder | sortby,
|  | in boolean | recurse,
|  | inout long | count |
| ) |  |  |

AccessibleSet Accessibility::Collection::getNextChildren | ( | in Accessible | current_object,
|  | in MatchRule | rule,
|  | in SortOrder | sortby,
|  | in boolean | recurse,
|  | inout long | count |
| ) |  |  |

Accessible Accessibility::Collection::getActiveDescendant | ( |  | ) |

void Accessibility::Collection::unImplemented | ( |  | ) |

void Accessibility::Collection::unImplemented2 | ( |  | ) |

void Accessibility::Collection::unImplemented3 | ( |  | ) |

void Accessibility::Collection::unImplemented4 | ( |  | ) |

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Collection.idl